For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all residents
        • GETGet a resident by ID
        • GETGet rentable items for a resident
        • POSTCreate Resident File (File Upload): Yardi REST
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi RESTResidents

Get a resident by ID

GET
/v1/residents/:id
GET
/v1/residents/:id
$curl https://api.propexo.com/v1/residents/id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "t000123",
17 "address_1_alternate": null,
18 "address_1": "123 Sunset Blvd",
19 "address_2_alternate": null,
20 "address_2": "Suite 23",
21 "balance_in_cents": null,
22 "city_alternate": null,
23 "city": "Los Angeles",
24 "country_alternate": null,
25 "country": "United States",
26 "custom_data": {},
27 "date_of_birth": "1976-05-31T00:00:00.000Z",
28 "email_1": "dharrison@emailexample.com",
29 "email_2": null,
30 "first_name": "Colin",
31 "is_employee": null,
32 "last_name": "Farrell",
33 "late_balance_in_cents": null,
34 "middle_name": null,
35 "notes": null,
36 "phone_1_type": "MOBILE",
37 "phone_1": "5551234567",
38 "phone_2_type": "FAX",
39 "phone_2": "5559876543",
40 "state_alternate": null,
41 "state": "CA",
42 "zip_alternate": null,
43 "zip": "90069",
44 "pets": [
45 {
46 "id": "clwktsp9v000008l31iv218hn",
47 "created_at": "2024-03-21T15:38:08.337Z",
48 "updated_at": "2024-03-22T10:59:45.119Z",
49 "last_seen": "2024-03-22T10:59:45.119Z",
50 "x_id": "t0172032-1",
51 "name": "Buddy",
52 "type": "Dog",
53 "breed": "Labrador",
54 "gender_raw": "Male",
55 "age_in_years": 5,
56 "weight_in_pounds": 65,
57 "is_fixed": true,
58 "is_service_animal": true,
59 "notes": null,
60 "custom_data": {}
61 }
62 ],
63 "vehicles": [
64 {
65 "id": "clwktsp9v000008l31iv218hn",
66 "created_at": "2024-03-21T15:38:08.337Z",
67 "updated_at": "2024-03-22T10:59:45.119Z",
68 "last_seen": "2024-03-22T10:59:45.119Z",
69 "x_id": "cmj92hecy2986129914pbus5mtvde1i",
70 "make": "Chevrolet",
71 "model": "Malibu",
72 "color": "Blue",
73 "year": "2013",
74 "license_plate_number": "D34DB33F",
75 "license_plate_state": "CA",
76 "notes": null,
77 "custom_data": {}
78 }
79 ],
80 "integration_id": "clwh5u07w000508me66sfh3um",
81 "integration_vendor": "YARDI_REST",
82 "property_id": "clwi5xiix000008l6ctdgafyh",
83 "x_lease_id": null,
84 "leases_meta_data": [
85 {
86 "lease_id": "cm2dtyq1600008loze5xgf3fb",
87 "x_resident_type": "Resident",
88 "resident_type_normalized": "PRIMARY",
89 "move_in_date": "2023-12-27T00:00:00.000Z",
90 "move_out_date": "2021-07-14T00:00:00.000Z",
91 "notice_date": "2021-07-14T00:00:00.000Z",
92 "custom_data": {},
93 "last_seen": "2024-03-22T10:59:45.119Z"
94 }
95 ]
96 }
97}
Get a resident by ID
Was this page helpful?
Previous

Get rentable items for a resident

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error